%!TEX root=../../../thesis.tex
%!TEX file=content/stress-strain-dynamics/procedure/mechanical-parameters.tex

\subsection{Estimation of Mechanical Parameters}\label{sec:stress-strain:procedure:parameter-estimation}

With the transfer function in form of~\cref{eqn:stress-strain:modeling:transfer-function} identified, we are able to obtain the mechanical parameters making up the numerator and denominator coefficients.
Combining the symbolically obtained form of the \gls{ODE} through~\cref{eqn:stress-strain:modeling:material-chains:maxwell}, we can extract the coefficients of left and right hand side which must, per definition, equal the transfer function numerator and denominator coefficients.
Lastly, a nonlinear root-finding problem can be stated reading
%
\begin{align}
  \residual \of{\itervar}
    & = \begin{bmatrix}
          \overlinevect{a} \of{ \itervar }
          -
          \vect{a}
            \\
          \overlinevect{b} \of{ \itervar }
          -
          \vect{b}
        \end{bmatrix} \,
        ,
        \label{sec:stress-strain:procedure:root-finding-problem}
\end{align}
%
where~$\vect{a}, \vect{b}$ are numerator and denominator coefficients obtained from the transfer function,~$\overlinevect{a}, \overlinevect{b}$ are coefficients of the left and right-hand side of the stress-strain \gls{ODE}, and~$\itervar = \transpose{ \left[ \transpose{\vect{\youngsmodulus}}, \transpose{\vect{\viscousmodulus}} \right] }$ are the vectors of to-be-estimated elasticities~$\vect{\youngsmodulus} = \transpose{ \left[ \youngsmodulus_{1}, \youngsmodulus_{2}, \dotsc, \youngsmodulus_{n_{\msmaterial}} \right] }$ and viscosities~$\vect{\viscousmodulus} = \transpose{ \left[ \viscousmodulus_{1}, \dotsc, \viscousmodulus_{n_{\msmaterial}} \right] }$.\rewrite{I should check again this makes sense}.

With a suitable initial estimate of elasticities and viscosities, the root-finding problem can be easily solved using methods like Newton's method or Levenberg-Marquardt revealing the physical parameter values.
We initialize our estimation process by setting~$\youngsmodulus_{1} = \strain* \of{0} / \stress* \of{0}$\textemdash or the mean value over a set of~$n_{\ms{trial}}$ data from experimental trials\textemdash and by choosing~${\youngsmodulus_{\loopindex} = \viscousmodulus_{\loopindex} = 1}$ with ${ \loopindex \in \cparentheses*{2, \dotsc, n_{\msmaterial}} }$.
Further, we require corresponding elastic and viscous parameters to be of the same sign such that their relaxation time~${\relaxationtime_{\loopindex} = \viscousmodulus_{\loopindex} / \youngsmodulus_{\loopindex} > 0}$ for any elastic and viscous modulus.
Care needs to be taken in the numeric values obtained in this manner for these are not unique see \textEg relaxation time~$\relaxationtime_{\loopindex} = \viscousmodulus_{\loopindex} / \youngsmodulus_{\loopindex}$, but also the ability to swap parameters of two viscoelastic elements.
